Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy
Class JemmyInputException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.netbeans.jemmy.JemmyException
                              |
                              +--org.netbeans.jemmy.JemmyInputException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ComponentIsNotFocusedException, ComponentIsNotVisibleException, JInternalFrameOperator.WrongInternalFrameStateException, JListOperator.NoSuchItemException, JTabbedPaneOperator.NoSuchPageException, JTextComponentOperator.NoSuchTextException, JTreeOperator.NoSuchPathException

public class JemmyInputException
extends JemmyException

Exception can be thrown as a result of incorrect input operations.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  Serialized Form

Constructor Summary
`JemmyInputException(java.awt.Component comp)` Constructor.
`JemmyInputException(java.lang.String message, java.awt.Component comp)` Constructor.

Method Summary
`java.awt.Component` | `getComponent()` Returns component.

Methods inherited from class org.netbeans.jemmy.JemmyException
`getInnerException, getInnerThrowable, getObject, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JemmyInputException

    public JemmyInputException(java.awt.Component comp)

  Constructor.
  Parameters:
    `comp` - Component regarding which exception is thrown.

### JemmyInputException

    public JemmyInputException(java.lang.String message,
                               java.awt.Component comp)

  Constructor.
  Parameters:
    `message` - A descriptive message.
    `comp` - Component regarding which exception is thrown.

Method Detail

### getComponent

    public java.awt.Component getComponent()

  Returns component.
  Returns:
    the Component associated with the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD